%global __requires_exclude pkgconfig.libxml-2.0

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		GNOME XML documentation utilities
Name:			gnome-doc-utils
Version:		0.20.10
Release:		%mkrel 4
License:		GPLv2+ and LGPLv2+ and GFDL
Group:			Publishing
Url:			https://www.gnome.org/
Source0:		https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:			gnome-doc-utils-0.14.0-package.patch
Patch2:			gnome-doc-utils-0.20.10-python3.patch
Patch10:		gnome-doc-utils-0.12.1-catalog.patch
Patch11:		0001-Makefile.am-Fix-gnome-doc-utils.m4-inclusion.patch
BuildArch:		noarch
BuildRequires:		gettext-devel
BuildRequires:		intltool
BuildRequires:		xsltproc
BuildRequires:		pkgconfig(libxslt)
BuildRequires:		python3-libxml2
BuildRequires:		pkgconfig(python3)
Requires:		docbook-dtds
Requires:		python3-libxml2
Requires:		xsltproc
Provides:		xml2po = %{version}-%{release}

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%setup -q
%autopatch -p1

rm -f m4/glib-gettext.m4

%build
autoreconf -vfi
%configure2_5x \
	--build=%{_build} \
	--disable-scrollkeeper \
	--enable-documentation

%make_build

sed -i s/python$/python3/g xml2po/xml2po/xml2po

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig/

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%{_bindir}/gnome-doc-prepare
%{_bindir}/gnome-doc-tool
%{_bindir}/xml2po
%{_datadir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}/
%{_mandir}/man1/xml2po.1*
%{python3_sitelib}/xml2po/

%{_datadir}/xml/gnome
%{_datadir}/xml/mallard



%changelog
* Tue Feb 06 2024 tex - 0.20.10-4pclos2024
- rebuild for python3
